Sydney Child configuration

When using Child Theme Configurator version 2.5.0 I got this error message:

Warning: Use of undefined constant ‘bcn_display’ - assumed ‘‘bcn_display’’ (this will throw an Error in a future version of PHP) in /home/dh_xv4wbp/beo-city.com/wp-content/themes/sydney/header.php on line 76

There is another message I don’t know what does it mean:

This theme loads additional stylesheets after the style.css file:

  • fonts/font-awesome.min.css

Click to show/hide raw analysis data. Please include contents below with any support requests.

{
“parnt”: {
“deps”: [
[
[
“sydney-bootstrap”,
“css/bootstrap/bootstrap.min.css”,
“parnt”
]
],
[
[
“sydney-style”,
“style.css”,
“parnt”
],
[
“sydney-font-awesome”,
“fonts/font-awesome.min.css”,
“parnt”
]
]
],
“signals”: {
“failure”: 0,
“thm_has_cache”: 1,
“err_php”: 1,
“thm_parnt_loaded”: “sydney-style”
},
“queue”: [
“sydney-bootstrap”,
“elementor-common”,
“wp-block-library”,
“pdfemb-gutenberg-block-backend-js”,
“eae-css”,
“vegas-css”,
“wpautoterms_css”,
“contact-form-7”,
“cookie-law-info”,
“cookie-law-info-gdpr”,
“fvp-frontend”,
“bg-shce-genericons”,
“bg-show-hide”,
“wpb-google-fonts”,
“weather-atlas”,
“weather-icons”,
“widgetopts-styles”,
“jetpack_likes”,
“sydney-fonts”,
“sydney-style”,
“sydney-font-awesome”,
“sydney-ie9”,
“getyourguide-widget-styles”,
“jetpack-subscriptions”,
“elementor-icons”,
“elementor-animations”,
“elementor-frontend”,
“elementor-pro”,
“font-awesome-5-all”,
“font-awesome-4-shim”,
“elementor-post-51”,
“bos_sb_main_css”,
“sccss_style”
],
“irreg”: [
“9,sydney-bootstrap,elementor-common”,
“11,bos_sb_main_css”,
“99,sccss_style”
],
“swaps”: [],
“url”: “https://www.beo-city.com/?ModPagespeed=off&ao_noptimize=1&preview_ctc=1&template=sydney&stylesheet=sydney&now=1565714624
},
“child”: {
“deps”: [
[],
[]
],
“signals”: {
“failure”: 0
},
“queue”: [],
“irreg”: [],
“swaps”: []
}
}

Hello there,

In the original theme’s files of Sydney. bcn_display constant doesn’t present in the header.php file. You may double-check it here. I’d suggest you use latest version of Sydney and do not edit any single of files.

Regards,
Kharis

Hi Kharis,

I do have the last version of Sydney 1.55 but still receive this error using Child Theme Configurator version 2.5.0. What should I do. I don-t think I can ignore this.

Hello there,

We have a basic child theme for Sydney already where you can download from this link:

I hope it works for you.

Regards,
Kharis

I already have the same version but with Child Theme Configurator version 2.5 I receive the same error when analyze Sydney Child or Sydney Parent theme .

Is there any specific purpose you would do with Child Theme Configuratior plugin? What will happen if you just go with our Sydney child theme?

Regards,
Kharis